Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mq.il.uil2
Class UILServerILService

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.mq.il.ServerILJMXService
                  org.jboss.mq.il.uil2.UILServerILService

All Implemented Interfaces:
  javax.management.MBeanRegistration, MsgTypes, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, Runnable, ServerILJMXServiceMBean, org.jboss.system.Service, org.jboss.system.ServiceMBean, UILServerILServiceMBean

public class UILServerILService
extends ServerILJMXService
implements MsgTypes, Runnable, UILServerILServiceMBean

This is the server side MBean for the UIL2 transport layer.

Version:
  $Revision: 1.5.6.1.2.1 $
Author:
  Scott.Stark@jboss.org

Field Summary

Fields inherited from class org.jboss.mq.il.ServerILJMXService
`clientID, connectionFactoryJNDIRef, pingPeriod, xaConnectionFactoryJNDIRef`

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.mq.il.uil2.msgs.MsgTypes
`m_acknowledge, m_addMessage, m_authenticate, m_browse, m_checkID, m_checkUser, m_close, m_connectionClosing, m_createQueue, m_createTopic, m_deleteTemporaryDestination, m_destroySubscription, m_getID, m_getTemporaryQueue, m_getTemporaryTopic, m_ping, m_pong, m_receive, m_receiveRequest, m_setEnabled, m_setSpyDistributedConnection, m_subscribe, m_transact, m_unsubscribe`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`UILServerILService()`

Method Summary
`String` | `getBindAddress()` Get the interface address the UIL2 server bind its listening port on
`int` | `getBufferSize()` Gets the buffer size.
`int` | `getChunkSize()` Gets the chunk size.
`InetAddress` | `getClientAddress()` Get the interface address the UIL2 exposed to the client as the server address
`Properties` | `getClientConnectionProperties()` Used to construct the GenericConnectionFactory (bindJNDIReferences() builds it) Sets up the connection properties need by a client to use this IL
`String` | `getClientSocketFactory()` Get the javax.net.SocketFactory implementation class to use on the client.
`boolean` | `getEnableTcpNoDelay()` Gets the enableTcpNoDelay.
`int` | `getReadTimeout()` Gets the socket read timeout.
`String` | `getSecurityDomain()` Get the security domain name to use with SSL aware socket factories
`int` | `getServerBindPort()` Get the UIL server listening port
`ServerIL` | `getServerIL()` Used to construct the GenericConnectionFactory (bindJNDIReferences() builds it)
`String` | `getServerSocketFactory()` Get the javax.net.ServerSocketFactory implementation class to use to create the service SocketFactory.
`void` | `run()` Client socket accept thread.
`void` | `setBindAddress(String host)` Set the interface address the UIL2 server bind its listening port on
`void` | `setBufferSize(int size)` Sets the buffer size.
`void` | `setChunkSize(int size)` Sets the chunk size.
`void` | `setClientAddress(InetAddress addr)` Set the interface address the UIL2 exposed to the client as the server address
`void` | `setClientSocketFactory(String name)` Set the javax.net.SocketFactory implementation class to use on the client.
`void` | `setEnableTcpNoDelay(boolean enableTcpNoDelay)` Sets the enableTcpNoDelay.
`void` | `setReadTimeout(int timeout)` Sets the read time out.
`void` | `setSecurityDomain(String domainName)` Set the security domain name to use with SSL aware socket factories
`void` | `setServerBindPort(int serverBindPort)` Set the UIL server listening port
`void` | `setServerSocketFactory(String name)` Set the javax.net.ServerSocketFactory implementation class to use to create the service SocketFactory.
`void` | `startService()` Starts this IL, and binds it to JNDI
`void` | `stopService()` Stops this IL, and unbinds it from JNDI

Methods inherited from class org.jboss.mq.il.ServerILJMXService
`bindJNDIReferences, getClientID, getConnectionFactoryJNDIRef, getJBossMQService, getPingPeriod, getXAConnectionFactoryJNDIRef, lookupJMSServer, rebind, setClientID, setConnectionFactoryJNDIRef, setInvoker, setPingPeriod, setXAConnectionFactoryJNDIRef, unbindJNDIReferences`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, createService, destroy, destroyService, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, getState, getStateString, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, start, stop`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.mq.il.ServerILJMXServiceMBean
`getClientID, getConnectionFactoryJNDIRef, getJBossMQService, getPingPeriod, getXAConnectionFactoryJNDIRef, setClientID, setConnectionFactoryJNDIRef, setInvoker, setPingPeriod, setXAConnectionFactoryJNDIRef`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Constructor Detail

### UILServerILService

    public UILServerILService()

Method Detail

### getClientConnectionProperties

    public Properties getClientConnectionProperties()

  Used to construct the GenericConnectionFactory (bindJNDIReferences() builds it) Sets up the connection properties need by a client to use this IL

  Overrides:
    `getClientConnectionProperties` in class `ServerILJMXService`
  Returns:
    The ClientConnectionProperties value

### getServerIL

    public ServerIL getServerIL()

  Used to construct the GenericConnectionFactory (bindJNDIReferences() builds it)

  Specified by:
    `getServerIL` in class `ServerILJMXService`
  Returns:
    The ServerIL value

### run

    public void run()

  Client socket accept thread.

  Specified by:
    `run` in interface `Runnable`

### startService

    public void startService()
                      throws Exception

  Starts this IL, and binds it to JNDI

  Overrides:
    `startService` in class `ServerILJMXService`
  Throws:
    `Exception` - Description of Exception

### stopService

    public void stopService()

  Stops this IL, and unbinds it from JNDI

  Overrides:
    `stopService` in class `ServerILJMXService`

### getServerBindPort

    public int getServerBindPort()

  Get the UIL server listening port

  Specified by:
    `getServerBindPort` in interface `UILServerILServiceMBean`
  Returns:
    Value of property serverBindPort.

### setServerBindPort

    public void setServerBindPort(int serverBindPort)

  Set the UIL server listening port

  Specified by:
    `setServerBindPort` in interface `UILServerILServiceMBean`
  Parameters:
    `serverBindPort` - New value of property serverBindPort.

### getBindAddress

    public String getBindAddress()

  Get the interface address the UIL2 server bind its listening port on

  Specified by:
    `getBindAddress` in interface `UILServerILServiceMBean`

### setBindAddress

    public void setBindAddress(String host)
                        throws UnknownHostException

  Set the interface address the UIL2 server bind its listening port on

  Specified by:
    `setBindAddress` in interface `UILServerILServiceMBean`
  Throws:
    `UnknownHostException`

### getClientAddress

    public InetAddress getClientAddress()

  Get the interface address the UIL2 exposed to the client as the server address

  Specified by:
    `getClientAddress` in interface `UILServerILServiceMBean`

### setClientAddress

    public void setClientAddress(InetAddress addr)

  Set the interface address the UIL2 exposed to the client as the server address

  Specified by:
    `setClientAddress` in interface `UILServerILServiceMBean`

### getEnableTcpNoDelay

    public boolean getEnableTcpNoDelay()

  Gets the enableTcpNoDelay.

  Specified by:
    `getEnableTcpNoDelay` in interface `UILServerILServiceMBean`
  Returns:
    Returns a boolean

### setEnableTcpNoDelay

    public void setEnableTcpNoDelay(boolean enableTcpNoDelay)

  Sets the enableTcpNoDelay.

  Specified by:
    `setEnableTcpNoDelay` in interface `UILServerILServiceMBean`
  Parameters:
    `enableTcpNoDelay` - The enableTcpNoDelay to set

### getBufferSize

    public int getBufferSize()

  Gets the buffer size.

  Specified by:
    `getBufferSize` in interface `UILServerILServiceMBean`
  Returns:
    Returns an int

### setBufferSize

    public void setBufferSize(int size)

  Sets the buffer size.

  Specified by:
    `setBufferSize` in interface `UILServerILServiceMBean`
  Parameters:
    `size` - the buffer size

### getChunkSize

    public int getChunkSize()

  Gets the chunk size.

  Specified by:
    `getChunkSize` in interface `UILServerILServiceMBean`
  Returns:
    Returns an int

### setChunkSize

    public void setChunkSize(int size)

  Sets the chunk size.

  Specified by:
    `setChunkSize` in interface `UILServerILServiceMBean`
  Parameters:
    `size` - the chunk size

### getReadTimeout

    public int getReadTimeout()

  Gets the socket read timeout.

  Specified by:
    `getReadTimeout` in interface `UILServerILServiceMBean`
  Returns:
    Returns the read timeout in milli-seconds

### setReadTimeout

    public void setReadTimeout(int timeout)

  Sets the read time out.

  Specified by:
    `setReadTimeout` in interface `UILServerILServiceMBean`
  Parameters:
    `timeout` - The read time out in milli seconds

### getClientSocketFactory

    public String getClientSocketFactory()

  Get the javax.net.SocketFactory implementation class to use on the client.

  Specified by:
    `getClientSocketFactory` in interface `UILServerILServiceMBean`

### setClientSocketFactory

    public void setClientSocketFactory(String name)

  Set the javax.net.SocketFactory implementation class to use on the client.

  Specified by:
    `setClientSocketFactory` in interface `UILServerILServiceMBean`

### setServerSocketFactory

    public void setServerSocketFactory(String name)
                                throws Exception

  Set the javax.net.ServerSocketFactory implementation class to use to create the service SocketFactory.

  Specified by:
    `setServerSocketFactory` in interface `UILServerILServiceMBean`
  Throws:
    `Exception`

### getServerSocketFactory

    public String getServerSocketFactory()

  Get the javax.net.ServerSocketFactory implementation class to use to create the service SocketFactory.

  Specified by:
    `getServerSocketFactory` in interface `UILServerILServiceMBean`

### setSecurityDomain

    public void setSecurityDomain(String domainName)

  Set the security domain name to use with SSL aware socket factories

  Specified by:
    `setSecurityDomain` in interface `UILServerILServiceMBean`

### getSecurityDomain

    public String getSecurityDomain()

  Get the security domain name to use with SSL aware socket factories

  Specified by:
    `getSecurityDomain` in interface `UILServerILServiceMBean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.